$kind: http-request
url: "{{sahara_local}}sales/quotes"
method: POST
headers:
  username: textugapp
  apiKey: db03834002ed60dfa53963cc66bbeeb730142a16fd1bbbb6e1ebca862a798359
body:
  type: json
  content: "{\r

    \  \"customer_id\": \"9ea82269-702f-40d6-9dc6-224d12c1522a\",\r

    \  //\"opportunity_id\":
    \"80d169ef-44a0-4631-bb1d-491dfbeab7b3\",//Nullable\r

    \  \"issue_date\": \"2024-12-15\",\r

    \  \"expiry_date\": \"2024-12-18\",\r

    \  \"notes\": \"Quote for manufacturing sucks and boxes\",\r

    \  \"lines\": [\r

    \    {\r

    \      //\"item_id\": \"f3351c6f-f46a-4625-8b4f-668454e3c4aa\", //Nullable
    maybe sent if its an item or a service, when item must send item_id and if
    service must send service id\r

    \      \"item_type\": \"custom\", //item, service, custom\r

    \      \"name\": \"Standard Sucks\", //Nullable mandatory when type is
    custom\r

    \      \"description\": \"High-quality sucks for industrial use\",\r

    \      \"quantity\": 5000,\r

    \        \"uom\": \"84c3302e-c6ec-4021-ad98-78adbd024b59\",\r

    \      \"unit_price\": 2.50,\r

    \      \"tax_amount\": 250.00\r

    \    }\r

    \  ]\r

    }"
auth:
  type: bearer
  credentials:
    token: "{{sahara_local_token}}"
order: 1000
